← Back to Discover
mw99

mw99/DataCompression

SwiftApache-2.0active
89Health

Swift libcompression wrapper as an extension for the Data type (GZIP, ZLIB, LZFSE, LZMA, LZ4, deflate, RFC-1950, RFC-1951, RFC-1952)

Stars302
Forks59
Open Issues6
Contributors59
Last Push1d ago

Health Breakdown

Activity
25
Community
25
Maintenance
15
Popularity
25
#compression#deflate#gzip#inflate#ios#lz4#lzfse#lzma#swift#zip#zlib
View on GitHub ↗Issues (6) ↗Pull Requests ↗Wiki ↗

Should you contribute to mw99/DataCompression?

mw99/DataCompression has a FoundDev health score of 89/100, which puts it in the active-and-maintained tier. The maintainer team is shipping recently, issues are being closed, and a PR you open this week has a realistic chance of being reviewed.

Last push was 1 days ago — that signals an actively maintained project. New issues are likely to get a maintainer response within days. The project is written primarily in Swift, so prior Swift experience will shorten ramp-up.

Licensed under Apache-2.0, a standard OSI-approved license — safe to contribute to under normal employer IP policies.

Community

mw99
mw99/DataCompression
SwiftApache 2.0
89

Swift libcompression wrapper as an extension for the Data type (GZIP, ZLIB, LZFSE, LZMA, LZ4, deflate, RFC-1950, RFC-1951, RFC-1952)

active
★ 30259 contributors6 issues
1d ago

More Swift repos

canivel
canivel/dynolab
Dyno Lab — an AI safety, alignment and interpretability research workbench for Apple Silicon. Explore activations, probes, SAEs and interventions with local inference, a Python SDK, APIs and MCP.
★ 16399
nightscout
nightscout/Trio
Trio - an automated insulin delivery system for iOS based on the OpenAPS algorithm with adaptations.
★ 39993
SwiftPackageIndex
SwiftPackageIndex/PackageList
The canonical list of repositories indexed by the Swift Package Index
★ 85492